KAPPTEMPLATE(1)

NAME
kapptemplate - Opretter et skelet til at udvikle et KDE-program

SYNOPSIS

kapptemplate [--noinit] [--default] [--full-app] [--kpart-app] [--kpart-plugin] [--existing] [--help]

BESKRIVELSE

kapptemplate er et skalscript som laver det nødvendige skelet for at udvikle diverse KDE-programmer. Det sørger for koden for autoconf/automake og sørger for et kodeskelet og eksempler på hvordan koden oftest ser ud.

Værktøjet er en del af KDE's programmeludviklingsmiljø.

TILVALG
Generelle tilvalg

--help
    Viser en fuldstændig oversigt over flag.

--no-init
    Kør ikke make -f Makefile.cvs

--default
    Brug standardværdier i stedet for at spørge. Skelettyper

--full-app
    Opret et KDE-program med alle funktioner.

--kpart-app
    Opret et KDE-delprogram (Kpart) med alle funktioner.

--kpart-plugin
    Opret et Kpart plugin-skelet.

--existing
    Konvertér eksisterende kildekode til et KDE-skelet med automake og autoconf

FILER

~/.kapptemplate
    Opbevarer standardværdier

SE OGSå

$PREFIX/share/doc/kapptemplate

FORFATTERE

kapptemplate er skrevet af Kurt Granroth <granroth@kde.org>

Denne manualside er skrevet af Ben Burton<bab@debian.org>

AUTHOR
Ben Burton.